#!/bin/sh

#update reports_all.bat post install
if [ -z "$TC_ROOT" ]; then
	echo "%TC_ROOT-E-NOROOT, \$TC_ROOT is not defined" 
	echo "Please change the string TC__CYGWINRUNIX in $HOME/tools/reports_all.bat to the cygwin directory"
fi

if [ ! -d $TC_ROOT/tmp ]; then
	mkdir $TC_ROOT/tmp
fi

temp=$TC_ROOT/tmp/temp$$
temp_var=$TC_ROOT/tmp/temp_var$$
target=$TC_ROOT/home/thinkcontrol/tools/reports_all.bat

echo $TC_ROOT >$temp
sed -e 's^\\^/^' $temp > $temp_var
var=`cat $temp_var`
rm -f  $temp_var
if [ ! `grep 'TC__CYGWINRUNIX' $target` ]; then
	echo "no change needed "
else
	sed -e "s^TC__CYGWINRUNIX^$var^" $target > $temp
	mv -f $temp $target
fi

