/*
 * @(#)src/classes/sov/org/omg/CORBA_2_3/portable/ObjectImpl.java, orb-api, hs131, 20021024 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/* @(#)ObjectImpl.java	1.4 99/06/07 */
/*
 * RMI-IIOP v1.0
 *
 */

package org.omg.CORBA_2_3.portable;

import org.omg.CORBA_2_3.portable.Delegate;

// added javadoc comments						/*ibm@4279*/

/**
 * This class contains methods added to the ORB portability <code>ObjectImpl</code>
 * abstract class by CORBA 2.3.
 */
public abstract class ObjectImpl extends org.omg.CORBA.portable.ObjectImpl {

    /**
     * Constructs an <code>ObjectImpl</code>.
     */
    public ObjectImpl() {						/*ibm@4318*/
    }

    /** Returns the codebase for this object reference.
     * @return the codebase as a space-delimited list of URL strings, or
     * <code>null</code> if no codebase is available.
     */
    public java.lang.String _get_codebase() {
	org.omg.CORBA.portable.Delegate delegate = _get_delegate();
	if (delegate instanceof Delegate)
	    return ((Delegate) delegate).get_codebase(this);
	return null;
    }
}
