#!/bin/bash
set -x

#update the signature file based on build-version.properties post install

current_dir=`dirname $0`
[ "$current_dir" = "." ] && current_dir=`pwd`

#decide it's TIO or TPM
sed -e 's/  */ /g' $TC_ROOT/home/thinkcontrol/config/ui.xml > $current_dir/ui$$
grep -e "<!-- <configuration id='think-provision'/> -->" $current_dir/ui$$ > $current_dir/temp$$

if [ $? -ne 0 ]; then
	echo "product-I-detected: Tivoli Provisioning Manager"
	if [ -f $TC_ROOT/home/thinkcontrol/config/TIOSignature.xml ]; then
		rm -f $TC_ROOT/home/thinkcontrol/config/TIOSignature.xml
	fi
else
	echo "product-I-detected: Tivoli Intelligent Orchestrator" 
	if [ -f $TC_ROOT/home/thinkcontrol/config/TPMSignature.xml ]; then
		rm -f $TC_ROOT/home/thinkcontrol/config/TPMSignature.xml
	fi
fi
rm -f $current_dir/temp$$
rm -f $current_dir/ui$$ 