/*
 * @(#)src/classes/sov/javax/swing/PopupFactory.java, swing, as131, 20021102 1.4.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 * @(#)PopupFactory.java	1.1 99/06/01
 *
 * Copyright 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 */

package javax.swing;

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import javax.accessibility.*;
import java.io.Serializable;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Vector;


interface PopupFactory {

    public Popup getPopup(Component comp, Component invoker, int x, int y);

    // PENDING(ges): eradicate?
    public void setLightWeightPopupEnabled(boolean aFlag);
    public boolean isLightWeightPopupEnabled();

}

